Last Comment Bug 399066 - Remove the 'cookiedomain' parameter
: Remove the 'cookiedomain' parameter
Status: RESOLVED FIXED
:
Product: Bugzilla
Classification: Server Software
Component: Administration (show other bugs)
: 3.1.2
: All All
-- enhancement (vote)
: ---
Assigned To: Simon Green
: default-qa
:
Mentors:
http://wiki.mozilla.org/Bugzilla:Params
Depends on: 399067
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-08 15:05 PDT by Frédéric Buclin
Modified: 2016-09-15 01:50 PDT (History)
5 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
bug399066-v1.patch (4.70 KB, patch)
2015-08-01 04:10 PDT, Simon Green
dylan: review+
Details | Diff | Splinter Review

Description User image Frédéric Buclin 2007-10-08 15:05:18 PDT
Per our discussions at our last 2 Bugzilla meetings, this param should go away.
Comment 1 User image Matthias Ludwig 2007-10-18 02:39:30 PDT
If you remove this parameter, it's no longer possible to drive multiple Bugzilla databases instances with one bugzilla installation.

Bugzilla gets confused with the login.
Comment 2 User image Rob Echlin 2007-10-18 08:49:16 PDT
Solution is to have multiple Bugzilla installations.
That would be (in 2.x) 19M of hard drive space per Bugzilla installation? 

I create duplicate installs for, for instance, my test installations, already.
Comment 3 User image Max Kanat-Alexander 2007-10-18 17:16:28 PDT
(In reply to comment #1)
> If you remove this parameter, it's no longer possible to drive multiple
> Bugzilla databases instances with one bugzilla installation.
> 
> Bugzilla gets confused with the login.

  This is an interesting point. I think if the PROJECT variable is set, we should perhaps pass the cookiedomain that was used in the Host header.
Comment 4 User image Matthias Ludwig 2007-10-19 01:39:11 PDT
> I create duplicate installs for, for instance, my test installations, already.

Sure, it is possible to install multiple Bugzilla installations. But this just generates more work for updates and patches. I think that's the reason why the PROJECT variable was introduced.

> This is an interesting point. I think if the PROJECT variable is set, we
> should perhaps pass the cookiedomain that was used in the Host header.

Just append the standard-cookie-domain-Path with the PROJECT-Variable. That's what I do manually now.


Comment 5 User image Matthias Ludwig 2007-10-19 02:37:36 PDT
> Solution is to have multiple Bugzilla installations.

Even if you have multiple Bugzilla installations the problem persists: The cookie name for for each installation on the same server is identical.
Comment 6 User image Frédéric Buclin 2007-10-19 09:18:43 PDT
(In reply to comment #5)
> Even if you have multiple Bugzilla installations the problem persists: The
> cookie name for for each installation on the same server is identical.
> 

But the cookie path is different, see the cookiepath parameter, allowing you to have as many Bugzilla installations on the same server without any interference. landfill, our test server, has tens of Bugzilla installations, and there is no interaction between them at all, including cookies.
Comment 7 User image Max Kanat-Alexander 2007-10-19 12:35:58 PDT
(In reply to comment #6)
> But the cookie path is different,

  Unless they're all at different virtual hosts.
Comment 8 User image Simon Green 2015-07-25 02:14:24 PDT
I'll do this once bug 399067 has been approved, since the patch for the two changes interferes with each other
Comment 9 User image Jeff Rivett 2015-07-31 11:19:54 PDT
Can someone state definitively whether this change, and the related change to cookiepath, will effectively disable the multi-site PROJECT feature? I've been following the discussion but that point seems unclear.
Comment 10 User image Frédéric Buclin 2015-07-31 11:24:41 PDT
The PROJECT feature will still work.
Comment 11 User image Simon Green 2015-08-01 04:10:07 PDT
Created attachment 8642023 [details] [diff] [review]
bug399066-v1.patch
Comment 12 User image Dylan Hardison [:dylan] 2016-09-10 19:49:11 PDT
Comment on attachment 8642023 [details] [diff] [review]
bug399066-v1.patch

r=dylan
Comment 13 User image Simon Green 2016-09-15 01:50:25 PDT
To github.com:bugzilla/bugzilla.git
   a460196..c67b3b3  master -> master

Note You need to log in before you can comment on or make changes to this bug.